gtkmm: Gtk::KeyvalTrigger Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::KeyvalTrigger Class Reference

A Gtk::ShortcutTrigger that triggers when a specific keyval and (optionally) modifiers are pressed. More...

`#include <gtkmm/shortcuttrigger.h>`

Inheritance diagram for Gtk::KeyvalTrigger:
[legend]

## Public Member Functions
| KeyvalTrigger (KeyvalTrigger &&src) noexcept
KeyvalTrigger & | operator= (KeyvalTrigger &&src) noexcept
| ~KeyvalTrigger () noexcept override
GtkKeyvalTrigger * | gobj ()
| Provides access to the underlying C GObject.
const GtkKeyvalTrigger * | gobj () const
| Provides access to the underlying C GObject.
GtkKeyvalTrigger * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
guint | get_keyval () const
| Gets the keyval that must be pressed to succeed triggering self.
Gdk::ModifierType | get_modifiers () const
| Gets the modifiers that must be present to succeed triggering self.
Glib::PropertyProxy_ReadOnly< guint > | property_keyval () const
| The key value for the trigger.
Glib::PropertyProxy_ReadOnly< Gdk::ModifierType > | property_modifiers () const
| The key modifiers for the trigger.
Public Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger (ShortcutTrigger &&src) noexcept
ShortcutTrigger & | operator= (ShortcutTrigger &&src) noexcept
| ~ShortcutTrigger () noexcept override
GtkShortcutTrigger * | gobj ()
| Provides access to the underlying C GObject.
const GtkShortcutTrigger * | gobj () const
| Provides access to the underlying C GObject.
GtkShortcutTrigger * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | to_string () const
| Prints the given trigger into a human-readable string.
Glib::ustring | to_label (const Glib::RefPtr< const Gdk::Display > &display) const
| Gets textual representation for the given trigger.
bool | equal (const Glib::RefPtr< const ShortcutTrigger > &trigger2) const
| Checks if trigger1 and trigger2 trigger under the same conditions.
int | compare (const Glib::RefPtr< const ShortcutTrigger > &trigger2) const
| The types of trigger1 and trigger2 are `gconstpointer` only to allow use of this function as a `CompareFunc`.
Gdk::KeyMatch | trigger (const Glib::RefPtr< const Gdk::Event > & event, bool enable_mnemonics) const
| Checks if the given event triggers self.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< KeyvalTrigger > | create (guint keyval, Gdk::ModifierType modifiers=static_cast< Gdk::ModifierType >(0))
Static Public Member Functions inherited from Gtk::ShortcutTrigger
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< ShortcutTrigger > | parse_string (const Glib::ustring &string)
| Tries to parse the given string into a trigger.

## Protected Member Functions
| KeyvalTrigger (guint keyval, Gdk::ModifierType modifiers)
Protected Member Functions inherited from Gtk::ShortcutTrigger
| ShortcutTrigger ()

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::KeyvalTrigger > | wrap (GtkKeyvalTrigger *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ShortcutTrigger
Glib::RefPtr< Gtk::ShortcutTrigger > | wrap (GtkShortcutTrigger *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Gtk::ShortcutTrigger that triggers when a specific keyval and (optionally) modifiers are pressed.

Key values are the codes which are sent whenever a key is pressed or released. The complete list of key values can be found in the gdk/gdkkeysyms.h header file. They are prefixed with `GDK_KEY_`.

## Constructor & Destructor Documentation

## ◆ KeyvalTrigger() [1/2]

Gtk::KeyvalTrigger::KeyvalTrigger | ( | KeyvalTrigger && | src | ) |
| noexcept

## ◆ ~KeyvalTrigger()

Gtk::KeyvalTrigger::~KeyvalTrigger | ( |  | ) |
| overridenoexcept

## ◆ KeyvalTrigger() [2/2]

Gtk::KeyvalTrigger::KeyvalTrigger | ( | guint | keyval,
|  | Gdk::ModifierType | modifiers )
| explicitprotected

## Member Function Documentation

## ◆ create()

static Glib::RefPtr< KeyvalTrigger > Gtk::KeyvalTrigger::create | ( | guint | keyval,
|  | Gdk::ModifierType | modifiers = static_cast< Gdk::ModifierType >(0) )
| static

## ◆ get_keyval()

guint Gtk::KeyvalTrigger::get_keyval | ( |  | ) | const

Gets the keyval that must be pressed to succeed triggering self.

Returns
  The keyval.

## ◆ get_modifiers()

Gdk::ModifierType Gtk::KeyvalTrigger::get_modifiers | ( |  | ) | const

Gets the modifiers that must be present to succeed triggering self.

Returns
  The modifiers.

## ◆ get_type()

static GType Gtk::KeyvalTrigger::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkKeyvalTrigger * Gtk::KeyvalTrigger::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkKeyvalTrigger * Gtk::KeyvalTrigger::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkKeyvalTrigger * Gtk::KeyvalTrigger::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

KeyvalTrigger & Gtk::KeyvalTrigger::operator= | ( | KeyvalTrigger && | src | ) |
| noexcept

## ◆ property_keyval()

Glib::PropertyProxy_ReadOnly< guint > Gtk::KeyvalTrigger::property_keyval | ( |  | ) | const

The key value for the trigger.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_modifiers()

Glib::PropertyProxy_ReadOnly< Gdk::ModifierType > Gtk::KeyvalTrigger::property_modifiers | ( |  | ) | const

The key modifiers for the trigger.

Default value: Gdk::ModifierType::NO_MODIFIER_MASK

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::KeyvalTrigger > wrap | ( | GtkKeyvalTrigger * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.